Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.internal.jaxb
Enum SourceType

    java.lang.Object
      java.lang.Enum<SourceType>
          org.hibernate.internal.jaxb.SourceType

All Implemented Interfaces:
  Serializable, Comparable<SourceType>

    public enum SourceType

extends Enum<SourceType>

From what type of source did we obtain the data

Enum Constant Summary
`ANNOTATION`
`DOM`
`FILE`
`INPUT_STREAM`
`JAR`
`OTHER`
`RESOURCE`
`STRING`
`URL`

Method Summary
`static SourceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RESOURCE

    public static final SourceType RESOURCE

### FILE

    public static final SourceType FILE

### INPUT_STREAM

    public static final SourceType INPUT_STREAM

### URL

    public static final SourceType URL

### STRING

    public static final SourceType STRING

### DOM

    public static final SourceType DOM

### JAR

    public static final SourceType JAR

### ANNOTATION

    public static final SourceType ANNOTATION

### OTHER

    public static final SourceType OTHER

Method Detail

### values

    public static SourceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SourceType c : SourceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SourceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.